%global debug_package %{nil}
%global __python %{__python3}

Name:           gtk-doc
Version:        1.29
Release:        4
Summary:        Generate API documentation from comments that can be added to C code
License:        GPLv2+ and GFDL
URL:            https://www.gtk.org/gtk-doc/
Source0:        https://download.gnome.org/sources/gtk-doc/1.29/%{name}-%{version}.tar.xz

BuildRequires:  python3-six python3-devel docbook-utils libxslt gettext source-highlight
BuildRequires:  itstool yelp-tools docbook-style-xsl gcc gdb
Requires:       python3-six source-highlight docbook-style-xsl libxslt docbook-utils

%description
GTK-Doc is a project which was started to generate API documentation from comments added to C code.
It is typically used to document the public API of GTK and GNOME libraries, but it can also be used
to document application code.

%prep
%autosetup -n %{name}-%{version} -p1

mv doc/README doc/README.1

%build
export PYTHON=%{__python3}
%configure
%make_build

%install
%make_install

%check
make check

%files
%doc README doc/* examples
%license COPYING COPYING-DOCS AUTHORS
%{_bindir}/*
%{_datadir}/aclocal/
%{_datadir}/%{name}/
%{_datadir}/*/*.pc
%{_datadir}/help/*/%{name}-manual/
%{_libdir}/cmake/

%changelog
* Sat Mar 21 2020 hexiujun <hexiujun1@huawei.com> - 1.29-4
- Type:NA
- ID:NA
- SUG:NA
- DESC:add gdb build require

* Wed Jan 15 2020 gulining<gulining1@huawei.com> - 1.29-3
- solve unresolveable

* Tue Dec 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.29-2
- strenthen spec

* Mon Aug 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.29-1
- Package init
